--[[

	Most code shamelessly ripped straight from the Gatherer which is derived from MapNotes.
	Open Source Rocks!!!

]]

SFBITEMS_TEXT_SUBFRAMES = { "InventoryHawkOptions_TitleOptionsBorderFrame",
			"InventoryHawkOptions_ListOptionsBorderFrame",
			"InventoryHawkOptions_BagOptionsBorderFrame" };
			
SFBItemsDisplay_ListAlignment = { };
SFBItemsDisplay_ListAlignment["left"] = 0;
SFBItemsDisplay_ListAlignment["right"] = 1;
						 
-- ***********************************************************
-- Tab selection code
function ToggleInventoryHawkOptions_Dialog(tab)
	local subFrame = getglobal(tab);
	if ( subFrame ) then
		PanelTemplates_SetTab(InventoryHawkOptions_DialogFrame, subFrame:GetID());
		if ( InventoryHawkOptions_DialogFrame:IsVisible() ) then
				PlaySound("igCharacterInfoTab");
				InventoryHawkOptions_DialogFrame_ShowSubFrame(tab);
		else
			InventoryHawkOptions_DialogFrame:Show();
			InventoryHawkOptions_DialogFrame_ShowSubFrame(tab);
		end
	end
end

function InventoryHawkOptions_DialogFrame_ShowSubFrame(frameName)
	for index, value in pairs(SFBITEMS_TEXT_SUBFRAMES) do
		if ( value == frameName ) then
			getglobal(value):Show()
		else
			getglobal(value):Hide();	
		end	
	end 
end
function InventoryHawkOptionsFrameTab_OnClick()
	if ( this:GetName() == "InventoryHawkOptions_DialogFrameTab1" ) then
		ToggleInventoryHawkOptions_Dialog("InventoryHawkOptions_TitleOptionsBorderFrame");
	elseif ( this:GetName() == "InventoryHawkOptions_DialogFrameTab2" ) then
		ToggleInventoryHawkOptions_Dialog("InventoryHawkOptions_ListOptionsBorderFrame");
	elseif ( this:GetName() == "InventoryHawkOptions_DialogFrameTab3" ) then
		ToggleInventoryHawkOptions_Dialog("InventoryHawkOptions_BagOptionsBorderFrame");
	end
	PlaySound("igCharacterInfoTab");
end

-- ******************************************************************

function InventoryHawkOptions_HideOptions()
	InventoryHawkOptions_DialogFrame:Hide();
end

-- ******************************************************************

function InventoryHawkOptions_TitleEditBox_OnValueChanged()
	SFBItemsDisplay_SetTitle(getglobal(this:GetName()):GetText());
end

function InventoryHawkOptionsDropDownTitleButton_Initialize()
	for value in pairs(SFBITEMS_VAR_TitleButtons) do
		local info = {};
		info.text = value;
		info.checked = nil;
		info.func = InventoryHawkOptions_TitleDisplay_OnClick;
		UIDropDownMenu_AddButton(info);
		if (SFBInventoryHawk_Player["titlebuttondisplay"] == info.text) then
			UIDropDownMenu_SetText(info.text, InventoryHawkOptions_TitleDisplay);
		end
	end
end

function InventoryHawkOptions_TitleDisplay_OnClick()
	UIDropDownMenu_SetSelectedID(InventoryHawkOptions_TitleDisplay, this:GetID());
	SFBInventoryHawk_Player["titlebuttondisplay"] = UIDropDownMenu_GetText(InventoryHawkOptions_TitleDisplay);
	if (SFBITEMS_CONS_DEBUG) then
		SFBItemsDisplay_Print("UIDropDownMenu_GetText = "..UIDropDownMenu_GetText(InventoryHawkOptions_TitleDisplay));
	end
	SFBItemsDisplay_CheckTitleShow();
end

-- ******************************************************************

function InventoryHawkOptionsDropDownListAlignment_Initialize()
	for value in pairs(SFBItemsDisplay_ListAlignment) do
		local info = {};
		info.text = value;
		info.checked = nil;
		info.func = InventoryHawkOptions_ListAlignment_OnClick;
		UIDropDownMenu_AddButton(info);
		if (SFBInventoryHawk_Player["alignment"] == info.text) then
			UIDropDownMenu_SetText(info.text, InventoryHawkOptions_ListAlignment);
		end
	end
end

function InventoryHawkOptions_ListAlignment_OnClick()
	UIDropDownMenu_SetSelectedID(InventoryHawkOptions_ListAlignment, this:GetID());
	SFBInventoryHawk_Player["alignment"] = UIDropDownMenu_GetText(InventoryHawkOptions_ListAlignment);
	if (SFBITEMS_CONS_DEBUG) then
		SFBItemsDisplay_Print("UIDropDownMenu_GetText = "..UIDropDownMenu_GetText(InventoryHawkOptions_ListAlignment));
	end
	SFBItemsDisplay_ChooseFrame();
end